// Class: Example4App
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.display.DisplayMap;
import edu.kzoo.grid.display.ScaledImageDisplay;
import edu.kzoo.grid.gui.GridAppFrame;

/**
 *  Grid Package Examples:<br>
 * 
 *    The Example4App class constructs a simple graphical user interface
 *    that displays an animation of a queen moving diagonally on a
 *    single-colored "chessboard." 
 *
 *  @author Alyce Brady
 *  @version 30 June 2004
 **/
public class Example4App
{
    /**
     *  Start the Example4App program.
     *  The String arguments (args) are not used in this application.
     **/
    public static void main(String[] args)
    {
        // Specify how to display a queen represented as a simple
        // GridObject instance.
        DisplayMap.associate("edu.kzoo.grid.GridObject",
                             new ScaledImageDisplay("GoldCrown.gif"));

        // Construct a window to display a grid.
        GridAppFrame gui = new Example4GUI();
    }

}
