// Class: Example5ColorChoiceMenu
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.gui.nuggets.ColorChoiceMenu;

/**
 *  Grid Package Examples:<br>
 *
 *    A <code>Example5ColorChoiceMenu</code> object extends ColorChoiceMenu
 *    to update a Color object in an array whenever the user selects a new
 *    color.
 *
 *  @author Alyce Brady
 *  @version 29 July 2004
 **/
public class Example5ColorChoiceMenu extends ColorChoiceMenu
{
    // Instance Variables: Encapsulated data for EACH  object
    private Object[] objectList;
    private int      objectListIndex;

  // constructor

    /** Constructs a menu of color choices.  Puts the menu and a label
     *  introducing it into a panel.
     *    @param label  label for color chooser
     *    @param initialColor  name of color to display as default in
     *                         menu
     *    @param arguments an array of objects to be passed to control
     *                     methods
     *    @param index     the index of a Color object in arguments that
     *                     should be updated whenever the current color
     *                     choice for this menu changes
     **/
    public Example5ColorChoiceMenu(String label, String initialColor,
                                   Object[] arguments, int index)
    {
        super(label, initialColor);
        this.objectList = arguments;
        this.objectListIndex = index;

        // Set first argument to be the current color.
        act();
    }

    /** Performs any actions necessary when the color changes.
     *  In this case, changes the first argument sent to the drawing control
     *  buttons to be the current color choice.
     **/
    public void act()
    {
        objectList[objectListIndex] = currentColor();
    }

}
