// Class: Figure2b
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import java.awt.Color;

import edu.kzoo.grid.BoundedGrid;
import edu.kzoo.grid.Grid;
import edu.kzoo.grid.GridObject;
import edu.kzoo.grid.Location;

import edu.kzoo.grid.display.DisplayMap;
import edu.kzoo.grid.display.ScaledImageDisplay;

import edu.kzoo.grid.gui.GridAppFrame;

/**
 *  Grid Package Examples:<br>
 * 
 *    The <code>Figure2b</code> class produces the second in a series of
 *    figures showing different types of grid-based applications in the
 *    Grid Package Overview document.  It shows a snapshot of the
 *    diagonal queen application in Example2.
 *
 *  @author Alyce Brady
 *  @version 30 June 2004
 **/
public class Figure2b
{
    /**
     *  Start the Figure2b program.
     *  The String arguments (args) are not used in this application.
     **/
    public static void main(String[] args)
    {
        String TITLE = "Figure 2b";
        Color BACKGROUND_COLOR = Color.WHITE;
        int MAX_WIDTH = 400;       // in pixels
        int MAX_HEIGHT = 400;      // in pixels
        int MIN_CELL_SIZE = 20;   // in pixels

        // Construct a window to display a grid.
        GridAppFrame gui = new GridAppFrame();
        gui.includeSpeedSlider();
        gui.constructWindowContents(TITLE, BACKGROUND_COLOR, 
                                    MAX_WIDTH, MAX_HEIGHT, MIN_CELL_SIZE);

        // Specify how to display a queen represented as a generic grid object.
        DisplayMap.associate("edu.kzoo.grid.GridObject",
                             new ScaledImageDisplay("GoldCrown.gif"));

        // Construct a grid in which to draw.
        // Illustrate a queen part-way down the diagonal.
        Grid grid = new BoundedGrid(8, 8);
        gui.setGrid(grid);
        grid.add(new GridObject(), new Location(2, 2));

        // Display the grid.
        gui.showGrid();
    }

}
