// Class: OverviewExample1
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import java.awt.Color;

import edu.kzoo.grid.ColorBlock;
import edu.kzoo.grid.BoundedGrid;
import edu.kzoo.grid.Grid;
import edu.kzoo.grid.Location;

import edu.kzoo.grid.display.ColorBlockDisplay;
import edu.kzoo.grid.display.DisplayMap;

import edu.kzoo.grid.gui.GridAppFrame;

/**
 *  Grid Package Examples:<br>
 * 
 *    The OverviewExample1 class implements the first example in the
 *    Grid Package Overview document.  It constructs a simple graphical
 *    user interface that displays two color blocks in a grid.
 *
 *  @author Alyce Brady
 *  @version 30 June 2004
 **/
public class OverviewExample1
{
    /**
     *  Start the OverviewExample1 program.
     *  The String arguments (args) are not used in this application.
     **/
    public static void main(String[] args)
    {
        String TITLE = "Overview Example 1";
        Color BACKGROUND_COLOR = Color.BLUE;
        int MAX_WIDTH = 600;      // in pixels
        int MAX_HEIGHT = 600;     // in pixels
        int MIN_CELL_SIZE = 10;   // in pixels

        // Construct a window to display a grid.
        GridAppFrame gui = new GridAppFrame();
        gui.constructWindowContents(TITLE, BACKGROUND_COLOR, 
                                    MAX_WIDTH, MAX_HEIGHT, MIN_CELL_SIZE);

        // Specify how to display color blocks.
        DisplayMap.associate("edu.kzoo.grid.ColorBlock",
                             new ColorBlockDisplay());

        // Construct a grid in which to draw.  Add two color blocks.
        Grid grid = new BoundedGrid(5, 5);
        gui.setGrid(grid);
        grid.add(new ColorBlock(Color.RED), new Location(2, 1));
        grid.add(new ColorBlock(Color.YELLOW), new Location(4, 3));

        // Display the grid.
        gui.showGrid();
    }

}
