// AP(r) Computer Science Marine Biology Simulation:
// The NarrowFishDisplay class is copyright(c) 2002 College Entrance
// Examination Board (www.collegeboard.com).
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

package edu.kzoo.mbsInAGrid.display;


/**
 *  AP&reg; Computer Science Marine Biology Simulation:<br>
 *  A <code>NarrowFishDisplay</code> draws a long, narrow fish (an object
 *  of the <code>Fish</code> class or of a subclass of <code>Fish</code>).
 *  It inherits the <code>draw</code> method from
 *  <code>FishDisplay</code>, but the different paths for the
 *  fish body and eyes created in the constructor give fish drawn
 *  with a <code>NarrowFishDisplay</code> their own specialized look.
 *
 *  <p>
 *  The <code>NarrowFishDisplay</code> class is
 *  copyright&copy; 2002 College Entrance Examination Board
 *  (www.collegeboard.com).
 *
 *  @author Chris Nevison
 *  @author Julie Zelenski
 *  @version 1 August 2002
 **/
public class NarrowFishDisplay extends FishDisplay
{
    private static final double BODY_WIDTH = .3, BODY_LENGTH = .7;
    private static final double TAIL_WIDTH = .3, TAIL_LENGTH = .3;
    private static final double EYE_SIZE = .05;
    
    /** Constructs an object that knows how to display long, narrow fish.
     **/
    public NarrowFishDisplay()
    {    
        buildPaths(BODY_WIDTH, BODY_LENGTH, TAIL_WIDTH, TAIL_LENGTH, EYE_SIZE);
    }

}
